commit:     5247131cbfd9007b787d1bce4db3fd7caee9f307
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 11 03:46:01 2017 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Mon Dec 11 03:48:46 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5247131c

dev-python/falcon: 1.3.0 bup

Package-Manager: Portage-2.3.14, Repoman-2.3.6

 dev-python/falcon/Manifest            |  1 +
 dev-python/falcon/falcon-1.3.0.ebuild | 50 +++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/falcon/Manifest b/dev-python/falcon/Manifest
index b929ed34ce9..9cc35f4d0c0 100644
--- a/dev-python/falcon/Manifest
+++ b/dev-python/falcon/Manifest
@@ -2,3 +2,4 @@ DIST falcon-0.1.6.tar.gz 186870 BLAKE2B 
c0c48193cca6ee516f07985810c73520dd2b5547
 DIST falcon-0.1.7.tar.gz 193151 BLAKE2B 
35d4dc329eda806cd193525c953b011770cbb5ffdd33d52f2aded8e92dd357aa1280cfabb2107aac9e3a1a33ff26ea3d8233798a258e478405c54a9f09b0f103
 SHA512 
665a0bdd02c8e9a0806c863164fde33a6a10a1ac8c2ec9c3194da0ca41e411c19ec5b2a84cce521abb510588c23b4bb5fab25af58d5c17fbbf8e7c3304839b9a
 DIST falcon-0.1.8.tar.gz 202170 BLAKE2B 
3857672d39138b83760bc58a869a384f7305f7938e20f801b35e5777e3028caa8500ac045101a69c32f2925000e175eefaf4a4a5ac5488aa26d41ce2cf9d9701
 SHA512 
e0ec028c1d1dc3fba722bd91f9bb315523367313bef40238579a96ca49de37f4c63e53746bf6ab40add053320925378860e3571e32401151c00d4afcbad9b7ca
 DIST falcon-0.1.9.tar.gz 202209 BLAKE2B 
89c786fb777fda3e4118271bedc979bbb4968defe40e863464d27ca7a65ee5ab1e4c0d694625b7c96bf492fb6b8f9cba15fde686af871ec3629477bf4bfc7655
 SHA512 
442a04c925f4af69bb0f1906c4123e68ef423e4040fbde82cecc200a44410665c0f97ad28e7f59e4139aae1209ba1df1dd445c5a44e6b975bed9416a97e681e8
+DIST falcon-1.3.0.tar.gz 507250 BLAKE2B 
3ba3a989f2e9eb281f519e36a24772fe329fee849097028f3183b0e0c7908b7e06dbf0a70ba28cf7570dccbe88fa87703c47d985ea3cf761ea7d6ec3d41ac04b
 SHA512 
a92d0b641152f653f47c9cb9b2e368d643aae14dcabe7028450d190bd08b883d37116d23d3a1ae4e092207f15926f66b12f57e38dd2edd347f6f8df48baa65ce

diff --git a/dev-python/falcon/falcon-1.3.0.ebuild 
b/dev-python/falcon/falcon-1.3.0.ebuild
new file mode 100644
index 00000000000..2696344e3cf
--- /dev/null
+++ b/dev-python/falcon/falcon-1.3.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+# Python 2.6 is supported, but depends on ordereddict, which has been in
+# improvise for months and is a minimal package. If needed
+# please let me know. PyPy also works
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="A supersonic micro-framework for building cloud APIs"
+HOMEPAGE="http://falconframework.org/ https://pypi.python.org/pypi/falcon";
+SRC_URI="https://github.com/racker/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+cython test"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]
+       dev-python/mimeparse[${PYTHON_USEDEP}]
+       cython? ( dev-python/cython[$(python_gen_usedep python{2_7,3_3})] )"
+
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/cython[$(python_gen_usedep python{2_7,3_3})]
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/pyyaml[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-runner[${PYTHON_USEDEP}]
+               dev-python/testtools[${PYTHON_USEDEP}] )"
+
+python_test() {
+       nosetests || die "Testing failed with ${EPYTHON}"
+}
+
+src_prepare() {
+       if ! use cython; then
+               sed -i -e 's/if with_cython:/if False:/' setup.py \
+                       || die 'sed failed.'
+       fi
+
+       # fix tests installation : potential file collision
+       sed -e 's@^where = tests@where = falcon/tests@g' -i setup.cfg || die
+       mv tests falcon/
+}

Reply via email to